/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999-2004 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.objectweb.jonas.jmx.JonasManagementRepr;

/**
 * @author Michel-Ange Anton (initial developer)<br>
 * @author Adriana Danes
 * @author Florent Benoit (changes for struts 1.2.2)
 */
public class ApplyTopAction extends JonasBaseAction {

// --------------------------------------------------------- Public Methods

    public ActionForward executeAction(ActionMapping p_Mapping, ActionForm p_Form, HttpServletRequest p_Request
        , HttpServletResponse p_Response)
        throws IOException, ServletException {
        // What locale does the user want to switch to?
        String sRequested = ((TopForm) p_Form).getServerSelect();

        // Switch to the specified locale, if it exists
        if (sRequested != null) {
            String sCurrentRMIConnectorName = null;
            try {
                // Save current RmiConnector
                sCurrentRMIConnectorName = JonasManagementRepr.getCurrentRMIConnectorName();
                // Set the new RmiConnector
                JonasManagementRepr.setCurrentRMIConnectorName(sRequested);
                // Refresh the current servers
                m_WhereAreYou.refreshServers(p_Request);
            } catch (Exception e) {
                ActionMessages errors = new ActionMessages();
                // Delete RMIconnector_ of string
                String sServerName = sRequested.substring(13);
                errors.add("serverSelect", new ActionMessage("error.server.jonas.serverName.bad"
                    , sServerName));
                try {
                    // Restore current RmiConnector
                    JonasManagementRepr.setCurrentRMIConnectorName(sCurrentRMIConnectorName);
                } catch (Exception eBis) {
                    // none
                }
                saveErrors(p_Request, errors);
            }
        }
        // Forward control back to the ActionEditTop
        return (p_Mapping.findForward("ActionEditTop"));
    }
}
