/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.deploy;

import java.io.IOException;
import java.util.ArrayList;

import javax.management.ObjectName;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jonas.jmx.JonasManagementRepr;
import org.objectweb.jonas.webapp.jonasadmin.Jlists;
import org.objectweb.jonas.webapp.jonasadmin.JonasAdminJmx;

/**
 *
 * @author Patrick Smith
 *         Greg Lapouchnian
 */

public class EditDomainDeployAction extends BaseDeployAction {

// --------------------------------------------------------- Public Methods

    public ActionForward executeAction(ActionMapping p_Mapping, ActionForm p_Form
        , HttpServletRequest p_Request, HttpServletResponse p_Response)
        throws IOException, ServletException {

        // Form used
        DomainDeployForm oForm = (DomainDeployForm) p_Form;
        try {
            // Store type deployment if exists
            setCurrentJonasDeployment(p_Request);
            // Deployable files (All files on the local server)
            ArrayList alDeployable = getListDeployableFiles();
            
            // All available servers
            ArrayList alServers = new ArrayList();
            ObjectName on = JonasAdminJmx.getJ2eeDomainObjectName();            
            Object oValue = JonasManagementRepr.getAttribute(on, "servers");
               Object[] servers = (Object[]) oValue; 
               for (int j = 0; j < servers.length; j++) {
                   alServers.add(servers[j]);
               }  
               
            // store the names of the servers in a separate list to be used as
            // labels in the HTML <select> tag
            ArrayList alServerNames = new ArrayList();
            for (int j = 0; j < alServers.size(); j++) {
                alServerNames.add(j, ObjectName.getInstance((String) alServers.get(j)).getKeyProperty("name"));
            }
               
            // Deploy files
            ArrayList alDeploy = new ArrayList(alDeployable);

            // Set in form
            oForm.setListDeployable(alDeployable);
            oForm.setListServers(alServers);
            oForm.setListServerNames(alServerNames);
            oForm.setListDeploy(alDeploy);
            oForm.setDeploy(Jlists.getString(alDeploy, Jlists.SEPARATOR));
            oForm.setIsConfigurable(isConfigurable());

        }
        catch (Throwable t) {
            addGlobalError(t);
            saveErrors(p_Request, m_Errors);
            return (p_Mapping.findForward("Global Error"));
        }
        // Forward to the jsp.
        return (p_Mapping.findForward(getForwardEdit()));
    }

}
