/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2003-2004 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.jonasserver;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jonas.webapp.jonasadmin.common.BeanComparator;

/**
 * @author Michel-Ange ANTON
 */
public class JndiResourceForm extends ActionForm {

// --------------------------------------------------------- Properties variables

    //private String providerUrl = null;
    private ArrayList listNames = new ArrayList();
    private String registryProtocol = null;
    //private String resourceON = null;

// --------------------------------------------------------- Public Methods

    public void reset(ActionMapping mapping, HttpServletRequest request) {
        //providerUrl = null;
        //protocol = null;
        //resourceON = null;
        listNames = new ArrayList();
    }

// --------------------------------------------------------- Properties Methods


    public ArrayList getListNames() {
        return listNames;
    }

    public void setListNames(List p_List) {
        listNames.clear();
        listNames = new ArrayList(p_List);
        Collections.sort(listNames, new BeanComparator());
    }
    /*
    public String getProviderUrl() {
        return providerUrl;
    }

    public void setProviderUrl(String providerUrl) {
        this.providerUrl = providerUrl;
    }
    */
	public String getRegistryProtocol() {
		return registryProtocol;
	}
	
	public void setRegistryProtocol(String protocol) {
		this.registryProtocol = protocol;
	}
	
	/*
	public String getResourceON() {
		return resourceON;
	}
	
	public void setResourceON(String resourceON) {
		this.resourceON = resourceON;
	}
	*/
}