/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2003-2004 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.jonasserver;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jonas.webapp.jonasadmin.common.BeanComparator;
/**
 * @author Adriana Danes
 */
public class JndiResourcesForm extends BasicJonasServerForm {

// --------------------------------------------------------- Properties variables

    private ArrayList providers = new ArrayList();
    private ArrayList listNames = new ArrayList();

// --------------------------------------------------------- Public Methods

    public void reset(ActionMapping mapping, HttpServletRequest request) {
        providers = new ArrayList();
        listNames = new ArrayList();
    }

// --------------------------------------------------------- Properties Methods

    public void addProvider(JndiResourceItem provider) {
        providers.add(provider);
    }
    
    public List getProviders() {
    	return providers;
    }
    public ArrayList getListNames() {
        return listNames;
    }

    public void setListNames(List p_List) {
        listNames.clear();
        listNames = new ArrayList(p_List);
        Collections.sort(listNames, new BeanComparator());
    }
}