/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.service.ejb;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

/**
 * @author Michel-Ange ANTON
 */
public class EjbSessionSblForm extends EjbSessionForm {

// --------------------------------------------------------- default for max pool size
    public static final String MAX_SIZE_POOL_DEFAULT = "0";



// --------------------------------------------------------- Properties Variables

    /**
     * MBean Ejb Session properties
     */
    private int instanceMinSizePool = 0;
    private String instanceMaxSizePool = MAX_SIZE_POOL_DEFAULT;
    private int instanceCurrentNumber = 0;

// --------------------------------------------------------- Public Methods

    public void reset(ActionMapping mapping, HttpServletRequest request) {
        super.reset(mapping, request);
        instanceMinSizePool = 0;
        instanceCurrentNumber = 0;
        instanceMaxSizePool = MAX_SIZE_POOL_DEFAULT;
    }

// --------------------------------------------------------- Properties Methods

    public int getInstanceMinSizePool() {
        return instanceMinSizePool;
    }

    public void setInstanceMinSizePool(int instanceMinSizePool) {
        this.instanceMinSizePool = instanceMinSizePool;
    }

    public String getInstanceMaxSizePool() {
        return instanceMaxSizePool;
    }

    public void setInstanceMaxSizePool(String instanceMaxSizePool) {
        this.instanceMaxSizePool = instanceMaxSizePool;
    }

    public int getInstanceCurrentNumber() {
        return instanceCurrentNumber;
    }

    public void setInstanceCurrentNumber(int instanceCurrentNumber) {
        this.instanceCurrentNumber = instanceCurrentNumber;
    }

}
